{% extends "users/userspace.html" %}

{% block content %}
<div class="container my-5">
<h1> Changement de mot de passe</h1>
{% if form.errors %}
    <div class="alert alert-danger" role="alert">
        {% for fieldname, errors in form.errors.items %}
            {% if fieldname == "__all__" %}
                Problèmes :
            {% else %}
                {{ fieldname }} :
            {% endif %}
            <ul>
                {% for error in errors %}
                    <li>{{ error }}</li>
                {% endfor %}
            </ul>
        {% endfor %}
    </div>
    {% endif %}
<div class="row border rounded border-2 text-center border-secondary mt-4 mx-10">
    <div class="col p-4">
<form action="" method="post">
    {% csrf_token %}
    <div class="row align-items-center mb-3">
        <label for="{{ form.old_password.id_for_label }}">Ancien mot de passe :</label>
        <input type="password" class="form-control" id="{{ form.old_password.id_for_label }}" name="{{ form.old_password.name }}">
    </div>
    <div class="row align-items-center mb-3">
        <label for="{{ form.new_password1.id_for_label }}">Nouveau mot de passe :</label>
        <input type="password" class="form-control" id="{{ form.new_password1.id_for_label }}" name="{{ form.new_password1.name }}">
    </div>
    <div class="row mb-3">
        <label for="{{ form.new_password2.id_for_label }}">Ressaisir le nouveau mot de passe :</label>
        <input type="password" class="form-control" id="{{ form.new_password2.id_for_label }}" name="{{ form.new_password2.name }}">
    </div>
    <div class="row mb-1">
    <button class="btn btn-success mt-1" type="submit"></i>Valider</button>
    </div>
</form>
</div>
</div>

{% endblock %}